/**
  ******************************************************************************
  * @file    stm32l1xx_crc.h
  * @author  MCD Application Team
  * @version V1.1.1
  * @date    05-March-2012
  * @brief   This file contains all the functions prototypes for the CRC firmware 
  *          library.
  ******************************************************************************
  */

// Define to prevent recursive inclusion -------------------------------------
#ifndef __STM32L1xx_CRC_H
#define __STM32L1xx_CRC_H

#ifdef __cplusplus
 extern "C" {
#endif

// Includes ------------------------------------------------------------------
#include "stm32l1xx.h"

 // @addtogroup STM32L1xx_StdPeriph_Driver

 // @addtogroup CRC

// Exported types ------------------------------------------------------------
// Exported constants --------------------------------------------------------

 // @defgroup CRC_Exported_Constants


// Exported macro ------------------------------------------------------------
// Exported functions -------------------------------------------------------  

void CRC_ResetDR(void);
uint32_t CRC_CalcCRC(uint32_t Data);
uint32_t CRC_CalcBlockCRC(uint32_t pBuffer[], uint32_t BufferLength);
uint32_t CRC_GetCRC(void);
void CRC_SetIDRegister(uint8_t IDValue);
uint8_t CRC_GetIDRegister(void);

#ifdef __cplusplus
}
#endif

#endif /* __STM32L1xx_CRC_H */



