/**
  ******************************************************************************
  * @file    usb_conf.h
  * @author  MCD Application Team
  * @version V4.0.0
  * @date    21-January-2013
  * @brief   Mass Storage Demo configuration header
  ******************************************************************************
  */

// Define to prevent recursive inclusion -------------------------------------
#ifndef __USB_CONF_H
#define __USB_CONF_H

// -------------------------------------------------------------
// EP_NUM 
// defines how many endpoints are used by the device 
// -------------------------------------------------------------
#define EP_NUM                          (3)

// -------------------------------------------------------------
// --------------   Buffer Description Table  -----------------
// -------------------------------------------------------------
// buffer table base address 

#define BTABLE_ADDRESS      (0x00)

// EP0  
// rx/tx buffer base address 
#define ENDP0_RXADDR        (0x18)
#define ENDP0_TXADDR        (0x58)

// EP1  
// tx buffer base address 
#define ENDP1_TXADDR        (0x98)

// EP2  
// Rx buffer base address 
#define ENDP2_RXADDR        (0xD8)


// ISTR events 
// IMR_MSK 
// mask defining which events has to be handled 
// by the device application software 
#define IMR_MSK (CNTR_CTRM  | CNTR_WKUPM | CNTR_SUSPM | CNTR_ERRM  | CNTR_SOFM \
                 | CNTR_ESOFM | CNTR_RESETM )

// CTR service routines 
// associated to defined endpoints 
//#define  EP1_IN_Callback   NOP_Process
#define  EP2_IN_Callback   NOP_Process
#define  EP3_IN_Callback   NOP_Process
#define  EP4_IN_Callback   NOP_Process
#define  EP5_IN_Callback   NOP_Process
#define  EP6_IN_Callback   NOP_Process
#define  EP7_IN_Callback   NOP_Process


#define  EP1_OUT_Callback   NOP_Process
//#define  EP2_OUT_Callback   NOP_Process
#define  EP3_OUT_Callback  NOP_Process
#define  EP4_OUT_Callback   NOP_Process
#define  EP5_OUT_Callback   NOP_Process
#define  EP6_OUT_Callback   NOP_Process
#define  EP7_OUT_Callback   NOP_Process

#endif /* __USB_CONF_H */

